<template>
  <div class="option-card">
    <div class="option-data">
      <h3>{{option.name}}</h3>
      <span class="description">{{option.description}}</span>
    </div>
    <span v-if="available > 0" :title="`Доступно: ${option.capacity}`" class="price tooltiped">{{option.price}} ₽</span>
    <span v-else class="price">Мест нет</span>
    <div class="option-controls">
      <VueNumericInput v-if="available > 0" :value="order" @input="handleInput" :min="0" :max="option.capacity" align="center" size="6em"/>
      <div v-else class="vue-numeric-input"/>
    </div>
  </div>
</template>

<script>
  import VueNumericInput from 'vue-numeric-input';
  import './EventOptionListItem.css';
  export default {
    name: "EventOptionListItem.vue",
    components: {
      VueNumericInput
    },
    props: ['option', 'order'],
    data() {
      return {

      }
    },
    computed: {
      available() {
        return this.option.capacity; //fixme
      }
    },
    methods: {
      handleInput(new_value) {
        this.$emit('input', this.option.id, new_value);
      }
    }
  }
</script>

<style scoped>

.vue-numeric-input {
  margin: 0 10px;
  width: 6em;
}


</style>
